Package com.sap.ai.sdk.orchestration

# Interface OrchestrationAiModel.Parameter<ValueT>

Type Parameters:
  `ValueT` - the parameter value type.

Enclosing class:
  `OrchestrationAiModel`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface OrchestrationAiModel.Parameter<ValueT>
Parameter key for a model.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final OrchestrationAiModel.Parameter<Number>`
  `FREQUENCY_PENALTY`
  The frequency penalty.
  `static final OrchestrationAiModel.Parameter<Integer>`
  `MAX_TOKENS`
  The maximum number of tokens to generate.
  `static final OrchestrationAiModel.Parameter<Integer>`
  `N`
  The number of chat completion choices to generate for each input message.
  `static final OrchestrationAiModel.Parameter<Number>`
  `PRESENCE_PENALTY`
  The presence penalty.
  `static final OrchestrationAiModel.Parameter<Number>`
  `TEMPERATURE`
  The sampling temperature.
  `static final OrchestrationAiModel.Parameter<Number>`
  `TOP_P`
  The probability mass to be considered .

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  The name of the parameter.

- ## Field Details

  - ### MAX_TOKENS

    static final OrchestrationAiModel.Parameter<Integer> MAX_TOKENS
    The maximum number of tokens to generate.

  - ### TEMPERATURE

    static final OrchestrationAiModel.Parameter<Number> TEMPERATURE
    The sampling temperature.

  - ### FREQUENCY_PENALTY

    static final OrchestrationAiModel.Parameter<Number> FREQUENCY_PENALTY
    The frequency penalty.

  - ### PRESENCE_PENALTY

    static final OrchestrationAiModel.Parameter<Number> PRESENCE_PENALTY
    The presence penalty.

  - ### TOP_P

    static final OrchestrationAiModel.Parameter<Number> TOP_P
    The probability mass to be considered .

  - ### N

    static final OrchestrationAiModel.Parameter<Integer> N
    The number of chat completion choices to generate for each input message.

- ## Method Details

  - ### getName

    @Nonnull String getName()
    The name of the parameter.
    Returns:
      the name of the parameter.